Create Listing Campaign

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.lwolf.com/doc/homespotter/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "HomeSpotter MCP server": {
    "url": "https://apidocs.lwolf.com/doc/homespotter/mcp"
  }
}

Close
GET /dashboard/integration/campaign/{partner_short_code}

Create a campaign for a real estate listing with optional dynamic listing creation

Path parameters

  • partner_short_code string Required

Query parameters

  • mls_id string Required

    MLS ID of the listing

  • zip string Required

    ZIP code of the listing

    Format should match the following pattern: ^\d{5}(-\d{4})?$.

  • address string

    Street address of the listing

  • city string

    City of the listing

  • state string

    State code of the listing

    Maximum length is 2.

  • country string

    Country of the listing

  • price number(double)

    Price of the listing

  • bed integer

    Number of bedrooms

    Minimum value is 0.

  • bath number

    Number of bathrooms

    Minimum value is 0.

  • sqft integer

    Square footage of the listing

    Minimum value is 0.

  • desc string

    MLS description of the listing

  • latitude number(double)

    Latitude for geo-targeting

    Minimum value is -90, maximum value is 90.

  • longitude number(double)

    Longitude for geo-targeting

    Minimum value is -180, maximum value is 180.

  • status string

    Status of the listing

    Values are new, rent, pending, sold, reducedprice, or closed.

  • first_name string

    Agent first name (for new agents)

  • last_name string

    Agent last name (for new agents)

  • phone string

    Agent phone (for new agents)

  • email string(email)

    Agent email (for new agents)

  • agent_img string(uri)

    Agent photo URL (for new agents)

  • banner_color string

    Hexadecimal color for status banner

    Format should match the following pattern: ^[0-9a-fA-F]{6}$. Default value is 00a567.

  • broker_name string

    Broker name for the ad

    Default value is Boost By HomeSpotter.

  • listing_url string(uri)

    URL where users land after clicking the ad

  • img_url string(uri)

    URL to featured property image

  • facebook_page_id string

    Facebook page ID for posting the ad

  • token string Required

Responses

  • 200 text/html

    Campaign created successfully

  • 400

    Invalid parameters

  • 401

    Unauthorized

GET /dashboard/integration/campaign/{partner_short_code}
curl \
 --request GET 'https://api.homespotter.com/dashboard/integration/campaign/{partner_short_code}?mls_id=string&zip=string&token=string&token=api_token_value'